# vim: set sw=4 ts=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           tolua
Summary:        Greatly simplifies the integration of C/C++ code with Lua
Version:        5.2.0
Release:        4.4
License:        GPL-2.0+
Group:          Development/Libraries/Other
URL:            http://www.tecgraf.puc-rio.br/~celes/tolua/
Source0:        http://www.tecgraf.puc-rio.br/~celes/tolua/tolua-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  lua-devel >= 5.1

%description
tolua is a tool that greatly simplifies the integration of
C/C++ code with Lua.

Based on a 'cleaned' header file, tolua automatically generates
the binding code to access C/C++ features from Lua.

Using Lua-5.0 API and tag method facilities, the current version
automatically maps C/C++ constants, external variables, functions,
namespace, classes, and methods to Lua. It also provides
facilities to create Lua modules.

%package -n libtolua-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Provides:       tolua-devel = 5.0
Obsoletes:      tolua-devel < 5.0

%description -n libtolua-devel
This package contains all necessary include files and libraries
needed to develop applications that require these.

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|LUA=/usr/local|LUA=%{_prefix}|g' \
    config
%__sed -i -e 's|LUALIB=$(LUA)/lib|LUALIB=$(LUA)/%{_lib}|g' \
    config

%build
%__make %{?_smp_flags}

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 bin/%{name} \
    %{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_includedir}
%__install -m 644 include/%{name}.h \
    %{buildroot}%{_includedir}

%__install -dm 755 %{buildroot}%{_libdir}
%__install -m 644 lib/lib%{name}.a \
    %{buildroot}%{_libdir}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}

%files -n libtolua-devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a

%changelog
* Sun Jul 29 2012 pascal.bleser@opensuse.org
- update to 5.2.0
* Wed Sep 28 2011 pascal.bleser@opensuse.org
- copy to devel:languages:lua
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- update to 5.1.4
* Sun Nov  4 2007 toni@links2linux.de
- update to 5.1b
- splitted of sub-package libtolua-devel
* Sat Dec 30 2006 toni@links2linux.de
- build SuSE-10.2, corrected BuildRequires
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
* Sat Jan 28 2006 oc2pus@arcor.de 5.0-0.oc2pus.1
- initial release tolua-5.0
- repacked as tar.bz2
